class Scenery {
  PImage scene;
  PImage sceneBuffer;
  
  PVector location;
  PVector velocity;
  PVector acceleration;

  Scenery() {
    scene = loadImage("scenery.jpg");
    sceneBuffer = createImage(width, height, RGB);
    location = new PVector(0, height - scene.height);
    velocity = new PVector(0, 0);
    acceleration = new PVector(0, 0);    
  }

  void update() {

    // set acceleration based on perlin noise
    velocity.x = carSpeed * -10;

    velocity.add(acceleration);
    location.add(velocity);


  } 


  void display() {


    tint(255, 255, 255, 50); // motion blur
    if((location.x + scene.width) < 0) location.x = 0;
    image(scene, location.x, location.y);
    image(scene, location.x + scene.width, location.y);


  }

}



